IRQ_DISABLE(9)

NAME
irq_disable - Mark interrupt disabled

SYNOPSIS

void irq_disable(struct irq_desc * desc);

ARGUMENTS

desc
    irq descriptor which should be disabled

DESCRIPTION

If the chip does not implement the irq_disable callback, we use a lazy disable approach. That means we mark the interrupt disabled, but leave the hardware unmasked. That's an optimization because we avoid the hardware access for the common case where no interrupt happens after we marked it disabled. If an interrupt happens, then the interrupt flow handler masks the line at the hardware level and marks it pending.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT